]> git.sur5r.net Git - bacula/bacula/commitdiff
Update and add tests
authorKern Sibbald <kern@sibbald.com>
Sat, 12 Jun 2004 11:36:03 +0000 (11:36 +0000)
committerKern Sibbald <kern@sibbald.com>
Sat, 12 Jun 2004 11:36:03 +0000 (11:36 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@1410 91ce42f0-d328-0410-95d8-f526ca767f89

45 files changed:
regress/all-non-root-tests
regress/file [new file with mode: 0755]
regress/scripts/cleanup
regress/scripts/cleanup-2tape.in
regress/scripts/cleanup-tape.in
regress/scripts/do_sed
regress/scripts/freebsd_tape_options
regress/scripts/linux_tape_options
regress/scripts/new-test-bacula-dir.conf.in
regress/tape [new file with mode: 0755]
regress/tests/auto-label-test [new file with mode: 0755]
regress/tests/backup-bacula-tape
regress/tests/backup-bacula-test
regress/tests/bextract-test
regress/tests/bscan-tape
regress/tests/bscan-test
regress/tests/bsr-opt-test
regress/tests/btape-fill-full-tape [new file with mode: 0755]
regress/tests/btape-fill-tape
regress/tests/compressed-test
regress/tests/concurrent-jobs-test
regress/tests/decremental-test
regress/tests/fixed-block-size-tape
regress/tests/four-concurrent-jobs-tape
regress/tests/four-concurrent-jobs-test
regress/tests/four-jobs-tape
regress/tests/four-jobs-test
regress/tests/incremental-tape
regress/tests/incremental-test
regress/tests/query-test
regress/tests/recycle-test
regress/tests/restore-by-file-tape
regress/tests/restore-by-file-test
regress/tests/restore-disk-seek-test
regress/tests/restore2-by-file-test
regress/tests/six-vol-test
regress/tests/small-file-size-tape
regress/tests/span-vol-test
regress/tests/sparse-compressed-test
regress/tests/sparse-test
regress/tests/two-jobs-test
regress/tests/two-vol-test
regress/tests/verify-vol-test
regress/tests/weird-files-test
regress/tests/weird-files2-test

index 3cd0fb92febc4d612076fc97fa09d1e27e5ec3db..c36f44045883c32b6bbd9fa08cb42af7732bca42 100755 (executable)
@@ -27,6 +27,7 @@ tests/incremental-test
 tests/decremental-test
 tests/restore-disk-seek-test
 tests/query-test
+tests/auto-label-test
 echo " "
 echo " "
 echo "Test results"
diff --git a/regress/file b/regress/file
new file mode 100755 (executable)
index 0000000..8f20890
--- /dev/null
@@ -0,0 +1,2 @@
+#!/bin/sh
+./all-non-root-tests
index 2cb9f56efab70602cfb4f7d035d1d48d245147c2..3651759bc3b4b91b96e4018080a733cf9eeb5092 100755 (executable)
@@ -8,4 +8,11 @@ rm -rf tmp/restored tmp/largefile tmp/bscan.bsr tmp/log*.out
 rm -rf /tmp/sed_tmp /tmp/file-list
 rm -rf tmp/build tmp/restore-list tmp/restore2-list
 rm -rf tmp/fd.out tmp/dir.out tmp/sd.out
-rm -rf working/log
+rm -rf working/log tmp/TEST-*
+
+bin/bacula stop 2>&1 >/dev/null
+cd bin
+./drop_bacula_tables >/dev/null 2>&1
+./make_bacula_tables >/dev/null 2>&1
+./grant_bacula_privileges >/dev/null 2>&1
+cd ..
index 06583b5f69fa00115ac1ac998ecef738a55a9909..70e6b7b0f00602f069e2a508da5dc51977010e27 100755 (executable)
@@ -2,9 +2,7 @@
 #
 # Cleanup left over files -- both before and after test run
 #
-rm -rf /tmp/TestVolume001 /tmp/bacula-restores /tmp/Small*
-rm -rf tmp/original tmp/bacula-restores tmp/Small* tmp/TestVolume*
-rm -rf tmp/restored tmp/largefile tmp/bscan.bsr tmp/log*.out
+scripts/cleanup
 
 if ! test x@autochanger@ = x/dev/null; then
    drive=`bin/mtx-changer @autochanger@ loaded`
index debc2a98409e31fcd3f96769c9dcd0a29c9af577..98ed537766fead1e88c5b059154e9100fdf565b9 100755 (executable)
@@ -2,9 +2,7 @@
 #
 # Cleanup left over files -- both before and after test run
 #
-rm -rf /tmp/TestVolume001 /tmp/bacula-restores /tmp/Small*
-rm -rf tmp/original tmp/bacula-restores tmp/Small* tmp/TestVolume*
-rm -rf tmp/restored tmp/largefile tmp/bscan.bsr tmp/log*.out
+scripts/cleanup
 
 mt -f @tape_drive@ rewind
 mt -f @tape_drive@ weof
index 47a2d3b820000199142a36495d7294c18683633c..e999a521fc17d301947e6aede325376c0cd4b6e9 100755 (executable)
@@ -51,7 +51,7 @@ chmod 777 ${cwd}/bin/mtx-changer
 if test x`uname` = xLinux ; then \
    cp -f scripts/linux_tape_options bin/tape_options ; \
 fi
-if test x`uname` = xFreeBsd ; then \
+if test x`uname` = xFreeBSD ; then \
    cp -f scripts/freebsd_tape_options bin/tape_options ; \
 fi
 
index 8ae713fa38d892ba5ef9c6afdb998133260aef8b..05be3449c4a25ee1159ead77d35d61c2a6c072c6 100644 (file)
@@ -1,3 +1,6 @@
+#
+# FreeBSD tape drive options
+#
 Hardware End of Medium = no
 Fast Forward Space File = no
 BSF at EOM = yes
index 7164059493dca4a0578de50b7f0b888b817d0f51..601eb82aa505732e20231d21746d790fc901f3ce 100644 (file)
@@ -1 +1 @@
-# nothing needed
+# nothing needed for Linux
index a9081e9eca3444220e25c221f69da633c4e9e70a..d1c849f6d1adb584345340e5d46f252c8a35f0d4 100644 (file)
@@ -308,4 +308,5 @@ Pool {
   AutoPrune = yes                     # Prune expired volumes
   Volume Retention = 365d             # one year
   Accept Any Volume = yes             # write on any volume in the pool
+# Label Format = "TEST-${Year}-${Month:p/2/0/r}-${Day:p/2/0/r}:${NumVols}"
 }
diff --git a/regress/tape b/regress/tape
new file mode 100755 (executable)
index 0000000..718cefe
--- /dev/null
@@ -0,0 +1,2 @@
+#!/bin/sh
+./all-non-root-tape-tests
diff --git a/regress/tests/auto-label-test b/regress/tests/auto-label-test
new file mode 100755 (executable)
index 0000000..ef2ae58
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+#  Test if Bacula can automatically create a Volume label.
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/build" >/tmp/file-list
+
+cp ${cwd}/bin/bacula-dir.conf ${cwd}/tmp/1
+sed "s%# Label Format%  Label Format%" ${cwd}/tmp/1 >${cwd}/bin/bacula-dir.conf
+
+echo " "
+echo " "
+echo " === Starting auto-label-test ==="
+echo " === Starting auto-label-test ===" >>working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/bconsole -c bin/bconsole.conf <<END_OF_DATA
+@output /dev/null
+status all
+status all
+list pools
+messages
+@output tmp/log1.out
+run job=CompressedTest storage=File yes
+list pools
+list volumes
+wait
+messages
+@# 
+@# now do a restore
+@#
+@output tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores select storage=File
+unmark *
+mark *
+done
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+scripts/check_for_zombie_jobs storage=File
+
+bin/bacula stop 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+diff -r build tmp/bacula-restores${cwd}/build 2>&1 >/dev/null
+if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! auto-label-test failed!!! !!!!! "
+   echo "  !!!!! auto-label-test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== auto-label-test OK ===== "
+   echo "  ===== auto-label-test OK ===== " >>test.out
+   scripts/cleanup
+fi
index ac2df5d89d559543cdd1ea347b68c33e5cca1866..bcfb0427456de28ae4350a37fcfebf1d1604f4ea 100755 (executable)
@@ -5,15 +5,10 @@
 #   we can correctly append to a tape.
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
+
 echo "${cwd}/build" >/tmp/file-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
@@ -38,13 +33,18 @@ restore where=${cwd}/tmp/bacula-restores select all storage=DDS-4 done
 yes
 wait
 messages
-@#
-@# Now do a second backup
-@#
+END_OF_DATA
+bin/bacula stop 2>&1 >/dev/null
+#
+# Now do a second backup after making a few changes
+#
+touch ${cwd}/build/src/dird/*.c
+echo "test test" > ${cwd}/build/src/dird/xxx
+bin/bacula start 2>&1 >/dev/null
+bin/bconsole -c bin/bconsole.conf <<END_OF_DATA
 @output /dev/null
 messages
 @output tmp/log1.out
-label storage=DDS-4 volume=TestVolume001 slot=0
 run job=NightlySave yes
 wait
 messages
@@ -60,6 +60,7 @@ messages
 quit
 END_OF_DATA
 scripts/check_for_zombie_jobs storage=DDS-4
+
 bin/bacula stop 2>&1 >/dev/null
 grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
 bstat=$?
index c9f038d1d618a6c13ca4403b6000be20a314ed26..6c52b3240c879bb0b55948228c12e7b44e8f6cb0 100755 (executable)
@@ -6,12 +6,6 @@
 cwd=`pwd`
 scripts/copy-confs
 scripts/cleanup
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges >/dev/null 2>&1
-cd ..
 
 echo " "
 echo " "
index 3bf459dbeff762ca47baf0f14fb222b29ebcbe33..e3b0f740c9259c5c2a71c343000e5d1637bc4752 100755 (executable)
@@ -8,12 +8,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 367f3bcaeb8d05bee86239a4fe655bc52b31dee0..0709a1c3403841e1865f40c8e0cd37f1ca6304ea 100755 (executable)
@@ -6,15 +6,10 @@
 #   It should require at least 4 different bsrs.
 #
 cwd=`pwd`
-bin/bacula stop 2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
 echo "${cwd}/build" >/tmp/file-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
+
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
 
@@ -106,7 +101,7 @@ cd ..
 
 bin/bacula stop 2>&1 >/dev/null
 echo "volume=TestVolume001" >tmp/bscan.bsr
-bin/bscan -w working -m -s -v -b tmp/bscan.bsr -c bin/bacula-sd.conf /dev/nst0 2>&1 >/dev/null
+bin/bscan -w working -m -s -v -b tmp/bscan.bsr -c bin/bacula-sd.conf DDS-4 2>&1 >/dev/null
 bin/bacula start 2>&1 >/dev/null
 bin/bconsole -c bin/bconsole.conf <<END_OF_DATA
 @output /dev/null
index 164439e1bb0fa30fae44b9c51b0774b7a21a6247..a55851c58d4cf4967cc466ca20bfa7a161c21f98 100755 (executable)
@@ -9,12 +9,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 82eb76e541591db876d6350fead50d259bfce256..7736ae1006c47a6b235cee35f9c5f149c947f7bf 100755 (executable)
@@ -10,12 +10,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
diff --git a/regress/tests/btape-fill-full-tape b/regress/tests/btape-fill-full-tape
new file mode 100755 (executable)
index 0000000..a2d5b5a
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Test the fill command in btape
+#
+cwd=`pwd`
+scripts/copy-tape-confs
+scripts/cleanup-tape
+
+echo " "
+echo " "
+echo " === Starting btape fill test ==="
+echo " === Starting btape fill test ===" >>working/log
+echo " "
+
+bin/btape -c bin/bacula-sd.conf DDS-4 <<END_OF_DATA 2>&1 >tmp/log1.out
+fill
+s
+
+quit
+END_OF_DATA
+
+
+grep "^The last block on the tape matches\. Test succeeded\." tmp/log1.out 2>&1 >/dev/null
+if [ $? != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! btape fill test failed!!! !!!!! "
+   echo "  !!!!! btape fill test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== btape fill test OK ===== "
+   echo "  ===== btape fill test OK ===== " >>test.out
+#  scripts/cleanup
+fi
index 37d5bd54130aaea8c225f895b175b09ea5538b7c..68a99124ec3b4e035bf700355bb212d15d5aab95 100755 (executable)
@@ -3,15 +3,11 @@
 # Test the fill command in btape
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
+
 echo "${cwd}/build" >/tmp/file-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
+
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 sed "s%# MaximumVolumeSize%  MaximumVolumeSize%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
 
index d600c1e19a525ffd5df57822a4d1f4eab3a58e70..13176050da8d21d1608064c6edc2f328409ea937 100755 (executable)
@@ -7,12 +7,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 1877e0b200b5832c4a75332e08bf71083fd28ebd..c1861a3baf8d6c773ad48d9bced69f95945fec21 100755 (executable)
@@ -22,12 +22,6 @@ else
 fi 
 
 echo "largefile created"
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 2e40a3f04e02d93fcd809d981a5fdba2fd286d4c..2c27330ddc3946a5050f0aea9f038a3ac76c68aa 100755 (executable)
@@ -13,12 +13,6 @@ cd ${cwd}/tmp
 echo "${cwd}/tmp/build/ficheriro1.txt" >restore-list
 echo "${cwd}/tmp/build/ficheriro2.txt" >>restore-list
 cd ${cwd}
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 4bfd9ad258cae857f0b07747f5fef81f0c34036d..61f923ff4ab986f56d531d1f7c6675e4b067c3fe 100755 (executable)
@@ -5,15 +5,9 @@
 #   sizes.
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
-echo "${cwd}/build" >/tmp/file-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
+
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 echo "s%# Maximum Block Size%  Maximum Block Size%" >${cwd}/tmp/2
 echo "s%# Minimum Block Size%  Minimum Block Size%" >>${cwd}/tmp/2
index 089f28696af65aaddb305f847a60f4ac73bccb6c..48109cbb84a8b221c2dcd910f8c697cc718e5a8b 100755 (executable)
@@ -3,14 +3,9 @@
 # Run two jobs at the same time
 #
 cwd=`pwd`
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 scripts/copy-tape-confs
 scripts/cleanup-tape
+
 echo "${cwd}/build" >/tmp/file-list
 
 echo " "
index fbcf54798d537e96d1eafa30824f67d002e4e259..54a74fc142ed6eb49cb09d928058871da14a6b83 100755 (executable)
@@ -6,12 +6,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 71895e9737aae4d1472b4d896a1a7a1a1aee8279..9d930bf2581c542e71c21051acc939be1c6e52dc 100755 (executable)
@@ -5,12 +5,6 @@
 #   It should require at least 4 different bsrs.
 #
 cwd=`pwd`
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 scripts/copy-tape-confs
 scripts/cleanup-tape
index 65edb56c2dadcec3d1293080fd1479e16c1444b8..a312b386e6b1c9ac10bb55f43905ff6c1db9b2e9 100755 (executable)
@@ -8,12 +8,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 88b4d86980b13eee0be2941827efa4b44e249980..602df9cd6052870218b42d3e70152c11be896023 100755 (executable)
@@ -4,12 +4,6 @@
 #   new files, do an Incremental and restore those two files.
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 scripts/copy-tape-confs
 scripts/cleanup-tape
index af4b922e53dd6460aaa2244dbd914f69f0fbf0d8..7cc54ccf8278ecd20788d502b25608eb5c083921 100755 (executable)
@@ -13,12 +13,6 @@ cd ${cwd}/tmp
 echo "${cwd}/tmp/build/ficheriro1.txt" >restore-list
 echo "${cwd}/tmp/build/ficheriro2.txt" >>restore-list
 cd ${cwd}
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 7f371ff2e64531cc4993f23741067049950b1fa4..9bec874ac30740b549f383ce460954564403373c 100755 (executable)
@@ -14,12 +14,6 @@ cd ${cwd}/tmp
 echo "${cwd}/tmp/build/ficheriro1.txt" >restore-list
 echo "${cwd}/tmp/build/ficheriro2.txt" >>restore-list
 cd ${cwd}
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index d20ff409c609019d6453dd9a3a8e602b92f7c5d3..aa877536244bb6967cb1c714e9404524d5434e69 100755 (executable)
@@ -9,12 +9,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 10959cdd3f15864c23c3469e75a3acfe3149afcf..21013b36cd3a17795b73d264785003572f25eb5e 100755 (executable)
@@ -7,16 +7,11 @@
 #   are created during each of the two backups.
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
 echo "${cwd}/build" >/tmp/file-list
 sed s%\^%${cwd}% ${cwd}/scripts/flist >${cwd}/tmp/restore2-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
+
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
 
index a0263631f6fc9b4528bd68da4390570b7a2020b0..2740ea56c6285c1df76f02327afcadbdb0924d5d 100755 (executable)
@@ -15,12 +15,6 @@ cd ..
 sed s%\^%${cwd}/tmp/build/% 1 >restore-list
 rm -f 1
 cd ${cwd}
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 0b110bbc25790c55b3d6bdc979ab5f00fb1704cf..4a0514b669f3c97b366b9a249e1e9223ece1c79b 100755 (executable)
@@ -26,12 +26,6 @@ cd ${cwd}
 rm -rf  ${cwd}/tmp/build
 mkdir ${cwd}/tmp/build
 cp -fp ${cwd}/build/src/dird/* ${cwd}/tmp/build
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 # Enable MaximumFileSize
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
index 23570c1900fb2e07bec5a0478025757a83cd0ff9..53a259889b2dd9a9c29b0ed8c5578267ac6cc322 100755 (executable)
@@ -8,12 +8,6 @@ scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
 sed s%\^%${cwd}% ${cwd}/scripts/flist >${cwd}/tmp/restore2-list
-bin/bacula stop  2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 8beaeb8d67a85639ef4298a5a24c788c457527cc..61e6dff9efd4c4bd41ea20dff63e12f16b6f9bdb 100755 (executable)
@@ -16,12 +16,6 @@ echo "${cwd}/tmp/largefile" >/tmp/file-list
 echo "Creating a 56MB file with random data ..."
 dd if=/dev/urandom of=${cwd}/tmp/largefile bs=1024 count=55000
 echo "largefile created"
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 1d63936c90e3b7cac2dbf888dd72ae303c52764b..4c2b2487dd039bb53a35da2390bf211228449ebc 100755 (executable)
@@ -4,15 +4,10 @@
 #   to a tape where the maximum tape file size is set to 1M
 #
 cwd=`pwd`
-bin/bacula stop  2>&1 >/dev/null
 scripts/copy-tape-confs
 scripts/cleanup-tape
+
 echo "${cwd}/build" >/tmp/file-list
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
 sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
 
index 6e1682efe67e954df5d1bf57b11cf5040dd4e472..e8127501ff8f3f46934a1eb4a01e306a3231ef52 100755 (executable)
@@ -9,12 +9,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 1ae38cbba7390b83b56c5c7e8febec6f81dec3ea..996d3ce8d12503399ca263697400c48b64092a39 100755 (executable)
@@ -8,11 +8,6 @@ scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
 bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 40c84b83b06dfa6b904f0ec1f1f1267652c15e8d..682fa052e64f90ee13217f20f4aa7a7e92b9c6e9 100755 (executable)
@@ -7,12 +7,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 2828ea19facf88d4a65204a5c99d2a4adf92e31f..aee240cfd4d61c46ba589ea784a668d940fe514e 100755 (executable)
@@ -7,12 +7,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 8297135caa4f94fa6aecef277f78d6b312be7b69..c7b32dc4acb277498a61add4321fd2dd00bb0429 100755 (executable)
@@ -7,12 +7,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index eea92ce2324a05f2bbe3a52dca4841a65ff0f0f4..9d5e13db1ecb56f10a9f43030d4ef36e96944e34 100755 (executable)
@@ -7,12 +7,6 @@ cwd=`pwd`
 scripts/copy-test-confs
 scripts/cleanup
 echo "${cwd}/build" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index 00c5fb37342e754fac45b20512272f9868f71ad7..5ec98880f2f06bb991cd84eb19a57d34ff68a9a0 100755 (executable)
@@ -19,12 +19,6 @@ scripts/cleanup
 #
 echo "${cwd}/weird-files" >/tmp/file-list
 echo "${cwd}/weird-files" >>/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "
index e44bcb6c6d7d50bc5a37bc29ad86d17a16024a50..b3c5fda96574eb44d73aa8de0e16060fa04d41b6 100755 (executable)
@@ -14,12 +14,6 @@ scripts/cleanup
 rm -rf weird-files2
 cp -Rp weird-files weird-files2
 echo "${cwd}/weird-files2" >/tmp/file-list
-bin/bacula stop 2>&1 >/dev/null
-cd bin
-./drop_bacula_tables >/dev/null 2>&1
-./make_bacula_tables >/dev/null 2>&1
-./grant_bacula_privileges 2>&1 >/dev/null
-cd ..
 
 echo " "
 echo " "